package org.apache.helix.rest.common;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

public class HttpConstants {
  public enum RestVerbs {
    GET,
    POST,
    PUT,
    DELETE
  }

  public static final String HTTP_PROTOCOL_PREFIX = "http://";
  public static final int DEFAULT_HTTP_REQUEST_TIMEOUT = 60 * 1000;

  /** REST request categorized as read. Can be used to categorize metric names */
  public static final String READ_REQUEST = "read";

  /** REST request categorized as write. Can be used to categorize metric names */
  public static final String WRITE_REQUEST = "write";
}
